Name:          python-cffi
Version:       1.10.0
Release:       1mamba
Summary:       Foreign Function Interface for Python calling C code
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/cffi
Source:        https://pypi.debian.net/cffi/cffi-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-pycparser
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n cffi-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/cffi-%{version}-py*.egg-info
%{python_sitearch}/cffi-%{version}-py*.egg-info/*

%changelog
* Thu Mar 30 2017 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Thu Nov 24 2016 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic update by autodist

* Mon Jun 27 2016 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Sun Jan 24 2016 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Tue Dec 22 2015 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-2mamba
- require python-pycparser

* Thu Nov 19 2015 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Thu Oct 22 2015 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- package created using the webbuild interface
